Subject: [bug#42465] [PATCH 10/10] gnu: Add python-mypy.

From: Tanguy Le Carrour <[email-masked]>
Date: Thu, 30 Jul 2020 08:36:50 +0200

Le 07/30, Marius Bakke a écrit :
> Tanguy Le Carrour <[email-masked]> writes:
> > […]
> > To be honest, I'm not yet comfortable with editing the info I get from
> > a project's page, so I mostly copy/paste… which, I know, is bad! I'll
> > work on that!
> 
> I find it is often the most difficult part of packaging.  How to convey
> [upstream description] in [neutral language for noob].  Occasionally
> I'll peek at Debians description which are typically pretty good (but
> don't tell anyone!).

I promise I won't tell anyone! This will stay between you, me and the internet! ;-)

> > * [PATCH 08/10] gnu: Add python-flake8-bugbear.
> >> I realize now that hypothesmith is probably a hypothesis plugin?
> >> In that case it should not propagate hypothesis IMO.
> >
> > Unfortunately, it does not build if I drop it.
> 
> Ah right, I was not entirely clear.  I meant the Hypothesis input should
> probably be native (for tests), but not propagated so that other
> packages could use it with other Hypothesis versions.  Making plugin
> packages not propagate the package they "plug in to" is a favorite
> nit-pick of mine, often causing great confusion...
> 
> This case is complicated since Hypothesmith depends on a newer version
> of Hypothesis, maybe the plugin only works with that newer version?  In
> which case propagating makes a lot of sense.  Anyway it's not a big deal
> either way, so let's not go there.  :-)

I'll keep that for later! I think I have to sleep on the idea… several
nights! ^_^'

> > I've built, installed and tested MyPy successfully! Thanks again for
> > your help!
> 
> Awesome, I applied the series as-is.  Thanks for your work!

Thanks!!

-- 
Tanguy